Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.charts
Interface ChartSettings

All Superinterfaces:
  java.lang.Cloneable, JRAnchor, JRCloneable, JRHyperlink, java.io.Serializable

All Known Implementing Classes:
  FillChartSettings, StandardChartSettings

    public interface ChartSettings

extends JRAnchor, JRHyperlink, java.io.Serializable

Version:
  $Id: ChartSettings.java 3936 2010-08-13 15:34:10Z shertage $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRAnchor
`NO_BOOKMARK`

Fields inherited from interface net.sf.jasperreports.engine.JRHyperlink
`HYPERLINK_TARGET_BLANK, HYPERLINK_TARGET_CUSTOM, HYPERLINK_TARGET_PARENT, HYPERLINK_TARGET_SELF, HYPERLINK_TARGET_TOP, HYPERLINK_TYPE_CUSTOM, HYPERLINK_TYPE_LOCAL_ANCHOR, HYPERLINK_TYPE_LOCAL_PAGE, HYPERLINK_TYPE_NONE, HYPERLINK_TYPE_NULL, HYPERLINK_TYPE_REFERENCE, HYPERLINK_TYPE_REMOTE_ANCHOR, HYPERLINK_TYPE_REMOTE_PAGE`

Method Summary
`java.awt.Color` | `getBackcolor()`
`byte` | `getChartType()`
`java.lang.String` | `getCustomizerClass()` Gets a user specified chart customizer class name.
`java.awt.Color` | `getLegendBackgroundColor()`
`java.awt.Color` | `getLegendColor()`
`JRFont` | `getLegendFont()`
`EdgeEnum` | `getLegendPosition()`
`java.lang.String` | `getRenderType()`
`java.lang.Boolean` | `getShowLegend()`
`java.awt.Color` | `getSubtitleColor()`
`JRExpression` | `getSubtitleExpression()`
`JRFont` | `getSubtitleFont()`
`java.awt.Color` | `getTitleColor()`
`JRExpression` | `getTitleExpression()`
`JRFont` | `getTitleFont()`
`EdgeEnum` | `getTitlePosition()`

Methods inherited from interface net.sf.jasperreports.engine.JRAnchor
`getAnchorNameExpression, getBookmarkLevel`

Methods inherited from interface net.sf.jasperreports.engine.JRHyperlink
`getHyperlinkAnchorExpression, getHyperlinkPageExpression, getHyperlinkParameters, getHyperlinkReferenceExpression, getHyperlinkTarget, getHyperlinkTooltipExpression, getHyperlinkType, getHyperlinkTypeValue, getLinkTarget, getLinkType`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getShowLegend

    java.lang.Boolean getShowLegend()

### getBackcolor

    java.awt.Color getBackcolor()

### getTitleFont

    JRFont getTitleFont()

### getTitlePosition

    EdgeEnum getTitlePosition()

### getTitleColor

    java.awt.Color getTitleColor()

### getSubtitleFont

    JRFont getSubtitleFont()

### getSubtitleColor

    java.awt.Color getSubtitleColor()

### getLegendBackgroundColor

    java.awt.Color getLegendBackgroundColor()

### getLegendColor

    java.awt.Color getLegendColor()

### getLegendFont

    JRFont getLegendFont()

### getLegendPosition

    EdgeEnum getLegendPosition()

### getTitleExpression

    JRExpression getTitleExpression()

### getSubtitleExpression

    JRExpression getSubtitleExpression()

### getChartType

    byte getChartType()

### getRenderType

    java.lang.String getRenderType()

### getCustomizerClass

    java.lang.String getCustomizerClass()

  Gets a user specified chart customizer class name.

  See Also:
    `ChartCustomizer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com